# Created by pyp2rpm-1.0.1
%global pypi_name rarfile

Name:           python-rarfile
Version:        4.0
Release:        %mkrel 4
Group:          Development/Python
Summary:        RAR archive reader for Python
License:        ISC
URL:            https://pypi.org/project/rarfile/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Python module for RAR archive reading.
The interface is made as zipfile like as possible.

Features:
- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive and file comments.
- Archive parsing and non-compressed files are handled in pure Python code.
- For compressed files runs unrar utility.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python 3 module for RAR archive reading.
The interface is made as zipfile like as possible.

Features:
- Supports both RAR 2.x and 3.x archives.
- Supports multi volume archives.
- Supports Unicode filenames.
- Supports password-protected archives.
- Supports archive and file comments.
- Archive parsing and non-compressed files are handled in pure Python 3 code.
- For compressed files runs unrar utility.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONDIR=$(pwd) sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc html README.rst
%{python3_sitelib}/%{pypi_name}*
%{python3_sitelib}/__pycache__/%{pypi_name}*
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 4.0-4.mga9
+ Revision: 1832693
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 4.0-3.mga9
+ Revision: 1778461
- rebuild for python-3.10

* Wed Mar 24 2021 guillomovitch <guillomovitch> 4.0-2.mga9
+ Revision: 1708596
- rebuild for python 3.9

* Sat Dec 19 2020 daviddavid <daviddavid> 4.0-1.mga8
+ Revision: 1661179
- new version: 4.0

* Sun Feb 16 2020 umeabot <umeabot> 3.1-2.mga8
+ Revision: 1534238
- Mageia 8 Mass Rebuild

* Sun Sep 29 2019 daviddavid <daviddavid> 3.1-1.mga8
+ Revision: 1447951
- new version: 3.1

* Tue Sep 24 2019 tv <tv> 3.0-5.mga8
+ Revision: 1445451
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 25 2019 wally <wally> 3.0-4.mga8
+ Revision: 1431813
- update doc build

* Thu Jan 10 2019 shlomif <shlomif> 3.0-3.mga7
+ Revision: 1354208
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.0-2.mga7
+ Revision: 1289989
- Mageia 7 Mass Rebuild

* Sat Feb 17 2018 daviddavid <daviddavid> 3.0-1.mga7
+ Revision: 1202026
- new version: 3.0
- rename python-rarfile to python2-rarfile

* Sat Aug 05 2017 pterjan <pterjan> 2.7-4.mga7
+ Revision: 1135601
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 2.7-3.mga6
+ Revision: 970948
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.7-2.mga6
+ Revision: 888876
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Mon Jun 22 2015 dglent <dglent> 2.7-1.mga6
+ Revision: 839785
- Version 2.7

* Wed Oct 15 2014 umeabot <umeabot> 2.6-5.mga5
+ Revision: 748664
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.6-4.mga5
+ Revision: 729619
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.6-3.mga5
+ Revision: 688301
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.6-2.mga5
+ Revision: 628984
- Rebuild for new Python

* Tue Dec 17 2013 dglent <dglent> 2.6-1.mga4
+ Revision: 558240
- Fix paths in %%files
- Fix paths in %%files
- imported package python-rarfile

